=begin
= Special Functions

Ruby/GSL provides all the GSL special functions (about 400) as modules functions
which are named as the same of the C functions. For example, to compute the Bessel 
function ((|J0(x)|)), one may invoke the ((|gsl_sf_bessel_J0|)) module function,

   require 'gsl'
   include GSL
  
   x = 1.0
   p gsl_sf_bessel_J0(x)

For convenience, all the module functions are aliased to names without 
the prefix "((|gsl_sf|))", so the example above is equivalent to a call

   p bessel_J0(x)

See GSL manual for the complete list of the special functions. 

=end
